Bug 1291496 - Need epel6 build for python-cryptography [NEEDINFO]
Need epel6 build for python-cryptography
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: python-idna (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Prince
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1288998
  Show dependency treegraph
 
Reported: 2015-12-14 19:33 EST by Nick
Modified: 2016-02-11 12:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
itamar: needinfo? (nick)


Attachments (Terms of Use)

  None (edit)
Description Nick 2015-12-14 19:33:52 EST
python-cryptography is a dependency for python-acme (and in turn letsencrypt). I can get python-idna building on EL6 (python 2.6), but it fails on the unit tests. I'm not too sure whether this is a failing in the module itself or in the tests.
Comment 1 Itamar Reis Peixoto 2015-12-15 07:02:31 EST
reported against wrong component, I think this is supposed to be against python-cryptography
Comment 2 Matěj Cepl 2015-12-15 07:33:07 EST
bug 1288998 comment 2
Comment 3 Robert Buchholz 2016-02-11 12:39:22 EST
Itamar, the bug is not incorrectly assigned, but badly worded. letsencrypt in EPEL6 would require python-acme, which would require python-cryptography, which would require python-idna.

Working on this, I was able to reproduce this issue. The tests fail with the latest master as well in Python 2.6. I'm not sure if Python 2.6 is even supposed to work with the project and have opened an issue upstream.
Getting the tests fixed and a confirmation would be a prerequisite to epel6 submission.

https://github.com/kjd/idna/issues/20

Note You need to log in before you can comment on or make changes to this bug.